summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPedro Gabriel2015-10-14 23:52:17 -0300
committerPedro Gabriel2015-10-14 23:52:17 -0300
commit5e0030b4a9686dd4dfc0f98ff73ba7247c95fd3b (patch)
tree0bc3d0fc7ec0b03c38dad447d58af8b0970035f4
parenta0c769d2e250a2c2801bb27661257bdec67a7503 (diff)
downloadaur-5e0030b4a9686dd4dfc0f98ff73ba7247c95fd3b.tar.gz
Update git versioning
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD13
2 files changed, 8 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index a81633152f0..26637dd3210 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = hardcode-fixer-git
pkgdesc = Fixes Hardcoded Icons
- pkgver = v0.8.2.r10.g58a4851
+ pkgver = r395.a01f915
pkgrel = 1
url = https://github.com/Foggalong/hardcode-fixer
arch = i686
diff --git a/PKGBUILD b/PKGBUILD
index 50a09301655..158a6613d22 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,22 +1,23 @@
-# Maintainer: Robert Orzanna <orschiro@gmail.com>
+# Maintainer: Pedro Gabriel <pedrogabriel@dcc.ufmg.br>
+# Contributor: Robert Orzanna <orschiro@gmail.com>
pkgname=hardcode-fixer-git
-pkgver=v0.8.2.r10.g58a4851
+pkgver=r395.a01f915
pkgrel=1
pkgdesc="Fixes Hardcoded Icons"
arch=('i686' 'x86_64')
url="https://github.com/Foggalong/hardcode-fixer"
license=('GPL')
-#depends=('pacman' 'curl')
makedepends=('git')
source=("$pkgname"::'git://github.com/Foggalong/hardcode-fixer.git')
-#source=('git+https://github.com/Foggalong/hardcode-fixer.git'
-#source=('git+https://github.com/Foggalong/hardcode-fixer.git#branch=master'
md5sums=('SKIP')
pkgver() {
cd "$srcdir/$pkgname"
- git describe --long --tags | sed -r 's/([^-]*-g)/r\1/;s/-/./g'
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
package() {